Home

# Library goog.debug.entryPointRegistry

Function Summary
| `monitorAll(!goog.debug.EntryPointMonitor monitor)` Configures a monitor to wrap all entry points. Entry points that have already been registered are immediately wrapped by the monitor. When an entry point is registered in the future, it will also be wrapped by the monitor when it is registered.
| `register(function (Function): ? callback)` Register an entry point with this module. The entry point will be instrumented when a monitor is passed to goog.debug.entryPointRegistry.monitorAll. If this has already occurred, the entry point is instrumented immediately.
| `unmonitorAllIfPossible(!goog.debug.EntryPointMonitor monitor)` Try to unmonitor all the entry points that have already been registered. If an entry point is registered in the future, it will not be wrapped by the monitor when it is registered. Note that this may fail if the entry points have additional wrapping.